2 Replies Latest reply on Jun 30, 2020 11:04 PM by Neeme Loorits

    (Custom) Plugin does not have a valid version

    Neeme Loorits Active Member

      Hi all,

       

      I'm having some problems with applying a new version of a custom plugin to PIM. I opened what I believed was the previous version of the plugin code, I modified the code, exported it as a jar file and replaced the old jar file in the plugins folder with the new one. I increased the version number in plugin.xml from "1.3.0.qualifier" to "1.3.1.qualifier" and included the plugin xml in the jar as well. To be honest, I have no idea what the "qualifier" stands for, I just left it the way it was in what I thought was the previous code.

       

      However, when I then restart PIM, I get these errors in the console.log:

       

      INFO   | jvm 1    | 2020/06/29 17:59:06 | Command-line arguments:  -application com.heiler.ppm.platform.server.app -os win32 -ws win32 -arch x86_64 -consolelog -clean -plugincustomization C:\INFORMATICA\PIM\server\service/../configuration/HPM/plugin_customization.ini -console

      INFO   | jvm 1    | 2020/06/29 17:59:06 |

      INFO   | jvm 1    | 2020/06/29 17:59:06 | !ENTRY org.eclipse.update.configurator 4 0 2020-06-29 17:59:06.090

      INFO   | jvm 1    | 2020/06/29 17:59:06 | !MESSAGE Plugin does not have a valid identifier: plugins/com.xxx.ppm.custom.mediaasset.server.opasg-1.3.1-SNAPSHOT.jar

      INFO   | jvm 1    | 2020/06/29 17:59:06 |

      INFO   | jvm 1    | 2020/06/29 17:59:06 | !ENTRY org.eclipse.update.configurator 4 0 2020-06-29 17:59:06.090

      INFO   | jvm 1    | 2020/06/29 17:59:06 | !MESSAGE Plugin does not have a valid version: plugins/com.xxx.ppm.custom.mediaasset.server.opasg-1.3.1-SNAPSHOT.jar

       

      Any ideas, what else I need to check? And where do I find the "correct" identifier and how do I set it in the jar?

       

      Thanks!

      Neeme